LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XAxisZSupplier Interface Referencepublished

gives access to the z-axis of a chart. More...

`import"XAxisZSupplier.idl";`

Inheritance diagram for XAxisZSupplier:

## Public Member Functions
com::sun::star::drawing::XShape | getZAxisTitle ()
com::sun::star::beans::XPropertySet | getZMainGrid ()
com::sun::star::beans::XPropertySet | getZHelpGrid ()
com::sun::star::beans::XPropertySet | getZAxis ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

gives access to the z-axis of a chart.

See also
  XDiagram

## Member Function Documentation

## ◆ getZAxis()

com::sun::star::beans::XPropertySet getZAxis | ( |  | ) |

Returns
  the properties of the z-axis of the diagram.

The returned property set contains scaling properties as well as formatting properties.

See also
  ChartAxis

## ◆ getZAxisTitle()

com::sun::star::drawing::XShape getZAxisTitle | ( |  | ) |

Returns
  the z-axis title shape.

See also
  ChartTitle

## ◆ getZHelpGrid()

com::sun::star::beans::XPropertySet getZHelpGrid | ( |  | ) |

Returns
  the properties of the help grid (minor grid) of the z-axis of the diagram.

See also
  ChartGrid

## ◆ getZMainGrid()

com::sun::star::beans::XPropertySet getZMainGrid | ( |  | ) |

Returns
  the properties of the main grid (major grid) of the z-axis of the diagram.

See also
  ChartGrid

The documentation for this interface was generated from the following file:

- com/sun/star/chart/XAxisZSupplier.idl